﻿using Module1.Views;
using Microsoft.Practices.Prism.Modularity;
using Microsoft.Practices.Prism.Regions;
using Microsoft.Practices.Unity;

namespace Module1
{
	public class Module1 : IModule
	{
		private readonly IRegionManager regionManager;
		private readonly IUnityContainer unityContainer;

		public Module1(IRegionManager regionManager, IUnityContainer unityContainer)
		{
			this.regionManager = regionManager;
			this.unityContainer = unityContainer;
		}

		public void Initialize()
		{
			// Registers views here
			regionManager.RegisterViewWithRegion("MainRegion", () => unityContainer.Resolve<TileView>());

		}
	}
}
