﻿using System;
using System.Windows.Controls;
using Common;
using Microsoft.Practices.Prism.Events;

namespace Module2.Views
{
	public partial class Module2View : UserControl
	{
		private IEventAggregator eventAggregator;
		public Module2View()
		{
			InitializeComponent();
		}

		public Module2View(IEventAggregator eventAggregator)
			: this()
		{
			this.eventAggregator = eventAggregator;
		}

		private void RadButton_Click(object sender, System.Windows.RoutedEventArgs e)
		{
			try
			{
				int index = Int32.Parse(this.indexBox.Text);
				eventAggregator.GetEvent<TileMaximizedEvent>().Publish(index);
			}
			catch
			{
				eventAggregator.GetEvent<TileMaximizedEvent>().Publish(0);
			}
			
		}
	}
}
